Package org.apache.sling.query.impl.selector

## Enum HierarchyOperator

- java.lang.Object
- - java.lang.Enum<HierarchyOperator>
  - - org.apache.sling.query.impl.selector.HierarchyOperator

All Implemented Interfaces:
  `Serializable`, `Comparable<HierarchyOperator>`

    public enum HierarchyOperator
    extends Enum<HierarchyOperator>

### Enum Constant Summary

Enum Constants
`CHILD`
`DESCENDANT`
`NEXT_ADJACENT`
`NEXT_SIBLINGS`
`NOOP`

### Method Summary

All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
`static HierarchyOperator` `findByCharacter​(char c)`
`abstract <T> Function<?,​?>` `getFunction​(SelectorSegment segment, SearchStrategy strategy, org.apache.sling.query.api.internal.TreeProvider<T> provider)`
`static HierarchyOperator` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static HierarchyOperator[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### CHILD

    public static final HierarchyOperator CHILD

#### DESCENDANT

    public static final HierarchyOperator DESCENDANT

#### NEXT_ADJACENT

    public static final HierarchyOperator NEXT_ADJACENT

#### NEXT_SIBLINGS

    public static final HierarchyOperator NEXT_SIBLINGS

#### NOOP

    public static final HierarchyOperator NOOP

### Method Detail

#### values

    public static HierarchyOperator[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (HierarchyOperator c : HierarchyOperator.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static HierarchyOperator valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### getFunction

    public abstract <T> Function<?,​?> getFunction​(SelectorSegment segment,
                                                        SearchStrategy strategy,
                                                        org.apache.sling.query.api.internal.TreeProvider<T> provider)

#### findByCharacter

    public static HierarchyOperator findByCharacter​(char c)